Bug 71250 - Aborted installs leave directories in /var/lib
Aborted installs leave directories in /var/lib
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-08-10 23:34 EDT by Need Real Name
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-12 15:33:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-10 23:34:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
Aborting an installation leaves anaconda-* directories in /var/lib that take up
space and cause future installations to fail for lack of disk space.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start upgrade
2. Go to step that autoselects packages and begins to install them
3. Abort installation

Actual Results:  /var/lib/anaconda-* will be left behind in the currently
mounted /mnt/sysimage/var/lib, and future installs do not clean up these
directories.  After enough aborted installs, /var will be full on the machine
being upgraded, and future installs will fail for lack of disk space, or will
fail mid-install complaining about installation media errors.

Expected Results:  Anaconda should look for and delete directories left behind
by previously aborted installs

Additional info:
Comment 1 Jeremy Katz 2002-08-12 17:13:59 EDT
We've changed our upgrade algorithm so that in most cases, this won't be a
problem.  Making further changes has the possibility of negatively blowing away
an rpmdb backup that was intentionally made.

Note You need to log in before you can comment on or make changes to this bug.